function CopActionHurt:_start_ragdoll()
	if self._ragdolled then
		return true
	end

	if self._unit:damage() then
		self:on_death_drop(self._unit, 2)

		self._ragdolled = true

		self._unit:base():set_visibility_state(1)
		self._unit:set_driving("orientation_object")
		local body = self._unit:body("body")
		if body then body:set_enabled(false) end
		local head = self._unit:body("head")
		if head then head:set_enabled(false) end

		local rag_head = self._unit:body("rag_Head")
		if rag_head then rag_head:set_enabled(false) end
		local rag_hips = self._unit:body("rag_Hips")
		if rag_hips then rag_hips:set_enabled(false) end
		local rag_spine = self._unit:body("rag_Spine")
		if rag_spine then rag_spine:set_enabled(false) end
		local rag_spine1 = self._unit:body("rag_Spine1")
		if rag_spine1 then rag_spine1:set_enabled(false) end
		local rag_spine2 = self._unit:body("rag_Spine2")
		if rag_spine2 then rag_spine2:set_enabled(false) end
		local rag_rightupleg = self._unit:body("rag_RightUpLeg")
		if rag_rightupleg then rag_rightupleg:set_enabled(false) end
		local rag_leftupleg = self._unit:body("rag_LeftUpLeg")
		if rag_leftupleg then rag_leftupleg:set_enabled(false) end
		local rag_rightarm = self._unit:body("rag_RightArm")
		if rag_rightarm then rag_rightarm:set_enabled(false) end
		local rag_leftarm = self._unit:body("rag_LeftArm")
		if rag_leftarm then rag_leftarm:set_enabled(false) end
		local rag_rightforearm = self._unit:body("rag_RightForeArm")
		if rag_rightforearm then rag_rightforearm:set_enabled(false) end
		local rag_leftforearm = self._unit:body("rag_LeftForeArm")
		if rag_leftforearm then rag_leftforearm:set_enabled(false) end
		local rag_rightleg = self._unit:body("rag_RightLeg")
		if rag_rightleg then rag_rightleg:set_enabled(false) end
		local rag_leftleg = self._unit:body("rag_LeftLeg")
		if rag_leftleg then rag_leftleg:set_enabled(false) end

		local body_plate = self._unit:body("body_plate")
		if body_plate then body_plate:set_enabled(false) end

		local helmet = self._unit:body("body_helmet")
		if helmet then helmet:set_enabled(false) end
		local helmet_plate = self._unit:body("body_helmet_plate")
		if helmet_plate then helmet_plate:set_enabled(false) end
		local helmet_glass = self._unit:body("body_helmet_glass")
		if helmet_glass then helmet_glass:set_enabled(false) end
		local armor_chest = self._unit:body("body_armor_chest")
		if armor_chest then armor_chest:set_enabled(false) end
		local armor_stomache = self._unit:body("body_armor_stomache")
		if armor_stomache then armor_stomache:set_enabled(false) end
		local armor_back = self._unit:body("body_armor_back")
		if armor_back then armor_back:set_enabled(false) end
		local armor_throat = self._unit:body("body_armor_throat")
		if armor_throat then armor_throat:set_enabled(false) end
		local armor_neck = self._unit:body("body_armor_neck")
		if armor_neck then armor_neck:set_enabled(false) end

		local anim = self._ext_movement:play_redirect("tied")

		if self._unit:anim_data().repel_loop then
			self._unit:sound():anim_clbk_play_sound(self._unit, "repel_end")
		end

		return true
	end
end